Last Comment Bug 346980 - branch patch for cellmap
: branch patch for cellmap
Status: RESOLVED FIXED
[sg:critical?][need testcase]
: fixed1.8.0.7, fixed1.8.1
Product: Core
Classification: Components
Component: Layout: Tables (show other bugs)
: 1.8 Branch
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: Bernd
:
Mentors:
Depends on: 339130 339246 342559 343087 343588 343778 344000 347725 347796
Blocks: stirtable
  Show dependency treegraph
 
Reported: 2006-08-02 05:08 PDT by Bernd
Modified: 2007-08-17 15:59 PDT (History)
6 users (show)
dveditz: blocking1.8.0.7+
dveditz: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch against MOZILLA_1_8_BRANCH (52.17 KB, patch)
2006-08-04 13:17 PDT, Bernd
dveditz: approval1.8.0.7+
mtschrep: approval1.8.1+
Details | Diff | Review

Description Bernd 2006-08-02 05:08:26 PDT
I fixed a couple of bugs blocking bug 339128 on trunk. IMHO the patches should be ported to 1.8.1. I don't see any point in cherry picking the patches all of them lead to crashes. I will do the patch today or tomorrow so that it can be pushed towards branches.
Comment 1 Bernd 2006-08-04 13:17:35 PDT
Created attachment 232193 [details] [diff] [review]
patch against MOZILLA_1_8_BRANCH

this is the promised patch which I think should go on 1.8.1 and probably also on 1.8.0.7
Comment 2 Bernd 2006-08-04 13:19:50 PDT
Boris could you have an eye on this while I am away (till 2006-08-21)
Comment 3 Mike Schroepfer 2006-08-04 15:46:02 PDT
Bernd/Bz how long has this been on trunk?  Any risk for the branch?
Comment 4 Boris Zbarsky [:bz] (Out June 25-July 6) 2006-08-04 20:09:14 PDT
Variable amounts, from "as of this morning" for bug 343087 to "at least a month" for some of the other bugs.  There is probably some risk, but I'm not quite sure how much; the exact regression tracking and whatnot has been happening in the bugs this one depends on...

I do think we should let things bake on trunk for a few days before doing anything with branch, but the most recent change also looked reasonably safe to me, at least as this code goes.  
Comment 5 Bernd 2006-08-04 22:37:40 PDT
One has to weight the risk. This will/should fix also the  other branch blocking bugs that block bug 339128 and do not have a patch till now. With the patches I can't reproduce them.

http://bonsai.mozilla.org/cvsview2.cgi?diff_mode=context&whitespace_mode=show&file=nsTableFrame.cpp&branch=&root=/cvsroot&subdir=mozilla/layout/tables&command=DIFF_FRAMESET&rev1=3.650&rev2=3.651

is not included in the patch but should be applied otherwise VC6 will complain.

A good way to estimate the risk would be to ask Jesse to run the tests from bug 339128 and see whether he sees regressions.
Comment 6 Mike Schroepfer 2006-08-06 12:23:12 PDT
Comment on attachment 232193 [details] [diff] [review]
patch against MOZILLA_1_8_BRANCH

a=schrep for drivers.
Comment 7 Boris Zbarsky [:bz] (Out June 25-July 6) 2006-08-12 09:55:32 PDT
I had to edit the diff to remove the fixes for bug 339315 and bug 302911, which had already landed on the branch.  With those removed, this applied cleanly and all.  Checked in on 1.8 branch.
Comment 8 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2006-08-12 12:48:24 PDT
sayrer just landed a bustage fix for these changes -- for for loop scoping on Windows.
Comment 9 Bernd 2006-08-21 23:48:24 PDT
Comment on attachment 232193 [details] [diff] [review]
patch against MOZILLA_1_8_BRANCH

I guess this should go on the 1.8.0 branch but I did not get enough baking on trunk, I fixed only today one of the regressions
Comment 10 Bernd 2006-08-27 05:45:35 PDT
Comment on attachment 232193 [details] [diff] [review]
patch against MOZILLA_1_8_BRANCH

I had some discussion with dveditz, where I was more conservative with taking this onto 1.8.0.7. My main concern was that I did not do enough testing and together with still visible asserts. From a stability point of view this patch highly desirable especially when combined with the patch in bug 350081 and the regression fix ofr bug 347796. Just in case that the 1.8.0.7 release will slip asking for inclusion into 1.8.0.7. If I missed the boat this is definetly 1.8.0.8 material.
Comment 11 Daniel Veditz [:dveditz] 2006-08-28 10:27:33 PDT
Comment on attachment 232193 [details] [diff] [review]
patch against MOZILLA_1_8_BRANCH

approved for 1.8.0 branch, a=dveditz for drivers

We're slipping to tomorrow, please land today.
Comment 12 Bernd 2006-08-30 21:11:15 PDT
re [need testcase] 
Jay, you will not get a testcase, this bug accumulated the patches from the dependent bugs into one single patch as they partially superseded each other. The testcases are in the dependent bugs, this bug is verified once all dependent bugs are verified.

Note You need to log in before you can comment on or make changes to this bug.